from adg_control import AdgClient, ADG_EXE, ADG_DIR
from parser import Parser
from cache import Cache


def main():
    parser = Parser("./test")
    client = AdgClient(ADG_EXE, ADG_DIR)
    cache = Cache()

    for command in parser.commands:
        command.execute(client, cache)


if __name__ == "__main__":
    main()
